import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/user/login',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/user/info',
    method: 'get',
    params: { token }
  })
}

export function getCoins(token) {
  return request({
    url: 'https://joinbot.tk/kvs/coins' + token,
    method: 'get',
    headers: { 'x-api-key': 'PMl`&xWpZ1vE)M]G;{8qIXx4k!ce|n' }
  })
}

export function logout() {
  return request({
    url: '/user/logout',
    method: 'post'
  })
}
